/*
    CalcKeyCaps.h

    Copyright  1996 Levin-Delson Software.  All Rights Reserved.

    $Header: /Bedazzle/dvlp/Calculator/RCS/CalcKeyCaps.h,v 1.2 1996/09/04 18:15:49 adamld Exp $
*/

#ifndef CALC_KEY_CAPS_H
#define CALC_KEY_CAPS_H


/*
    These are the legends which will appear on the BButtons.
*/
#define CALC_NAMEOF_ZERO               "0"
#define CALC_NAMEOF_ONE                "1"
#define CALC_NAMEOF_TWO                "2"
#define CALC_NAMEOF_THREE              "3"
#define CALC_NAMEOF_FOUR               "4"
#define CALC_NAMEOF_FIVE               "5"
#define CALC_NAMEOF_SIX                "6"
#define CALC_NAMEOF_SEVEN              "7"
#define CALC_NAMEOF_EIGHT              "8"
#define CALC_NAMEOF_NINE               "9"
#define CALC_NAMEOF_DECIMAL            "."
#define CALC_NAMEOF_ADD                "+"
#define CALC_NAMEOF_SUBTRACT           "-"
#define CALC_NAMEOF_MULTIPLY           "*"
#define CALC_NAMEOF_DIVIDE             ""
#define CALC_NAMEOF_EQUALS             "="
#define CALC_NAMEOF_CLEARALL           "CA"
#define CALC_NAMEOF_CLEARENTRY         "CE"
#define CALC_NAMEOF_BACKSPACE          "\034"
#define CALC_NAMEOF_NEGATE             ""
#define CALC_NAMEOF_MEMORYCLEAR        "CM"
#define CALC_NAMEOF_MEMORYADD          "M+"
#define CALC_NAMEOF_MEMORYSUBTRACT     "M-"
#define CALC_NAMEOF_MEMORYRECALL       "RM"


/*
    The following constants define the messages sent by the
    Calculator's BButtons.
*/
#define CALC_BUTTON_ZERO               0x30UL
#define CALC_BUTTON_ONE                0x31UL
#define CALC_BUTTON_TWO                0x32UL
#define CALC_BUTTON_THREE              0x33UL
#define CALC_BUTTON_FOUR               0x34UL
#define CALC_BUTTON_FIVE               0x35UL
#define CALC_BUTTON_SIX                0x36UL
#define CALC_BUTTON_SEVEN              0x37UL
#define CALC_BUTTON_EIGHT              0x38UL
#define CALC_BUTTON_NINE               0x39UL
#define CALC_BUTTON_DECIMAL            0x2EUL
#define CALC_BUTTON_ADD                0x2BUL
#define CALC_BUTTON_SUBTRACT           0x2DUL
#define CALC_BUTTON_MULTIPLY           0x2AUL
#define CALC_BUTTON_DIVIDE             0xD6UL
#define CALC_BUTTON_EQUALS             0x3DUL
#define CALC_BUTTON_CLEARALL           0x41UL
#define CALC_BUTTON_CLEARENTRY         0x45UL
#define CALC_BUTTON_BACKSPACE          0x1CUL
#define CALC_BUTTON_NEGATE             0xB1UL
#define CALC_BUTTON_MEMORYCLEAR        0x4DUL
#define CALC_BUTTON_MEMORYADD          0x3EUL
#define CALC_BUTTON_MEMORYSUBTRACT     0x3CUL
#define CALC_BUTTON_MEMORYRECALL       0x52UL


/*
    These constants define messages that supplement keyboard input
    to allow upper as well as lower case characters, international
    characters, etc.
*/
#define CALC_KEY_COMMA                 0x2CUL  // Allow comma for our European users.
#define CALC_KEY_DIVIDE                0x2FUL
#define CALC_KEY_ENTER                 0x0AUL
#define CALC_KEY_CLEARALL              0x61UL
#define CALC_KEY_CLEARENTRY            0x65UL
#define CALC_KEY_MEMORYCLEAR           0x6DUL
#define CALC_KEY_MEMORYRECALL          0x72UL
#define CALC_KEY_BACKSPACE             0x08UL

#endif
