/*
    CalcWindow.h

    Copyright  1996 Levin-Delson Software.  All Rights Reserved.

    $Header: /Bedazzle/dvlp/Calculator/RCS/CalcWindow.h,v 1.7 1996/09/16 21:08:22 adamld Exp $
*/

#ifndef CALCWINDOW_H
#define CALCWINDOW_H

#include <InterfaceKit.h>
#include <SupportKit.h>

#include "CalcKeyCaps.h"

// Message "what" constants.
#define CALC_MESSAGE_SETTEXT    1UL
#define CALC_MESSAGE_SETENABLED 2UL
#define CALC_MESSAGE_PASTE      3UL
#define CALC_MESSAGE_QUERY      4UL
#define CALC_MESSAGE_REPLY      5UL

// Message content ID strings (used for "Add..." and "Find..." )
#define CALC_MESSAGEID_TEXT       "TEXT"
#define CALC_MESSAGEID_OBJECTNAME "OBJNM"
#define CALC_MESSAGEID_ENABLED    "ENBLD"
#define CALC_MESSAGEID_PASTE      "PASTE"
#define CALC_MESSAGEID_THISCALC   "TCALC"
#define CALC_MESSAGEID_NUMLOCK    "NMLCK"

/*
	BeOS still has a way to go in terms of font handling.  I'd like to be able to determine the
	fontname and size of the window's title, but there's no way I know of.  I'd also like to be
	able to get font information without having to first create a BView.
*/
#define CALC_NAMEOF_FONT        "Times New Roman"
#define CALC_WIDTHOF_FONT        30
#define CALC_HEIGHTOF_FONT       ( CALC_WIDTHOF_FONT )


class MouseDownFilter : public BMessageFilter
{
	public:
							   MouseDownFilter( message_delivery delivery, message_source source, ulong command );
							  ~MouseDownFilter();
		virtual	filter_result  Filter( BMessage *message, BHandler **target );
	private:
		BPopUpMenu *menu;
};


class KeyDownFilter : public BMessageFilter
{
	public:
							   KeyDownFilter( message_delivery delivery, message_source source, ulong command );
		virtual	filter_result  Filter( BMessage *message, BHandler **target );
	private:
};


class CalcWindow : public BWindow
{
    public:
                      CalcWindow( BRect frame, char *title, BHandler *bHandler );
                     ~CalcWindow();
        virtual void  WindowActivated( bool active );
        virtual void  MessageReceived( BMessage *message );
        virtual bool  QuitRequested( void );
                long  forward( ulong what );

    private:
        BMessenger		*calcMessenger; // A connection to the App's handler.
		MouseDownFilter *mdFilter;		// Input filter.
		KeyDownFilter   *kdFilter;		// Input filter.
        ulong       	 numLocked;     // The state of Num Lock when this window was activated (could be different than original...).
};


class Display : public BStringView
{
    public:
		Display( BRect frame, char *name );
};


class Background : public BView
{
    public:
		Background( BRect frame, char *name );
};

#endif
